Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.monitor.api.jmx.mbeans
Interface AdhocRuntimeMBean

    public interface AdhocRuntimeMBean

`AdhocRuntimeMBean` provides the ability to expose Adhoc Task, Engine and Service information's attributes and operations.

Method Summary
`AdhocServiceInfo[]` | `getAdhocServiceInfosByUser(java.lang.String userName)` Gets all `AdhocServiceInfo`s associated with the specified user.
`AdhocEngineInfo[]` | `getAllAdhocEngineInfos()` Gets all `AdhocEngineInfo`s.
`AdhocServiceInfo[]` | `getAllAdhocServiceInfos()` Gets all `AdhocServiceInfo`s
`AdhocTaskInfo[]` | `getAllFailedAdhocTaskInfos()` Gets all Failed `AdhocTaskInfo`s.
`AdhocTaskInfo[]` | `getAllFinishedAdhocTaskInfos()` Gets all Finished `AdhocTaskInfo`s.
`AdhocTaskInfo[]` | `getAllRunningAdhocTaskInfos()` Gets all Running `AdhocTaskInfo`s.
`AdhocTaskInfo[]` | `getAllWaitingAdhocTaskInfos()` Gets all Waiting `AdhocTaskInfo`s.
`AdhocTaskInfo[]` | `getFailedAdhocTaskInfosByUser(java.lang.String userName)` Gets all Failed `AdhocTaskInfo`s submitted by the specified user.
`AdhocTaskInfo[]` | `getFinishedAdhocTaskInfosByUser(java.lang.String userName)` Gets all Completed `AdhocTaskInfo`s submitted by the specified user.
`AdhocTaskInfo[]` | `getRunningAdhocTaskInfosByUser(java.lang.String userName)` Gets all Running `AdhocTaskInfo`s submitted by the specified user.
`AdhocTaskInfo[]` | `getWaitingAdhocTaskInfosByUser(java.lang.String userName)` Gets all Waiting `AdhocTaskInfo`s submitted by the specified user.

Method Detail

### getAllRunningAdhocTaskInfos

    AdhocTaskInfo[] getAllRunningAdhocTaskInfos()

  Gets all Running `AdhocTaskInfo`s.

  Returns:
    all Running `AdhocTaskInfo`s.

### getRunningAdhocTaskInfosByUser

    AdhocTaskInfo[] getRunningAdhocTaskInfosByUser(java.lang.String userName)

  Gets all Running `AdhocTaskInfo`s submitted by the specified user.

  Parameters:
    `userName,` - the specified User Name.
  Returns:
    all Running `AdhocTaskInfo`s submitted by the specified user.

### getAllWaitingAdhocTaskInfos

    AdhocTaskInfo[] getAllWaitingAdhocTaskInfos()

  Gets all Waiting `AdhocTaskInfo`s.

  Returns:
    all Waiting `AdhocTaskInfo`s.

### getWaitingAdhocTaskInfosByUser

    AdhocTaskInfo[] getWaitingAdhocTaskInfosByUser(java.lang.String userName)

  Gets all Waiting `AdhocTaskInfo`s submitted by the specified user.

  Parameters:
    `userName,` - the specified User Name.
  Returns:
    all Waiting `AdhocTaskInfo`s submitted by the specified user.

### getAllFinishedAdhocTaskInfos

    AdhocTaskInfo[] getAllFinishedAdhocTaskInfos()

  Gets all Finished `AdhocTaskInfo`s.

  Returns:
    all Finished `AdhocTaskInfo`s.

### getFinishedAdhocTaskInfosByUser

    AdhocTaskInfo[] getFinishedAdhocTaskInfosByUser(java.lang.String userName)

  Gets all Completed `AdhocTaskInfo`s submitted by the specified user.

  Parameters:
    `userName,` - the specified User Name.
  Returns:
    all Completed `AdhocTaskInfo`s submitted by the specified user.

### getAllFailedAdhocTaskInfos

    AdhocTaskInfo[] getAllFailedAdhocTaskInfos()

  Gets all Failed `AdhocTaskInfo`s.

  Returns:
    all Failed `AdhocTaskInfo`s.

### getFailedAdhocTaskInfosByUser

    AdhocTaskInfo[] getFailedAdhocTaskInfosByUser(java.lang.String userName)

  Gets all Failed `AdhocTaskInfo`s submitted by the specified user.

  Parameters:
    `userName,` - the specified User Name.
  Returns:
    all Failed `AdhocTaskInfo`s submitted by the specified user.

### getAllAdhocEngineInfos

    AdhocEngineInfo[] getAllAdhocEngineInfos()

  Gets all `AdhocEngineInfo`s.

  Returns:
    all `AdhocEngineInfo`s.

### getAllAdhocServiceInfos

    AdhocServiceInfo[] getAllAdhocServiceInfos()

  Gets all `AdhocServiceInfo`s

  Returns:
    all `AdhocServiceInfo`s

### getAdhocServiceInfosByUser

    AdhocServiceInfo[] getAdhocServiceInfosByUser(java.lang.String userName)

  Gets all `AdhocServiceInfo`s associated with the specified user.

  Parameters:
    `userName,` - the specified User Name.
  Returns:
    all `AdhocServiceInfo`s associated with the specified user.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD